-- Customer specific once-script NYBU22.sql

SET ECHO ON
SPOOL xNYBU22.lst
SET DEFINE OFF

-- NYBU#30064 importtabel en -functie voor deeltijdpercentage medewerker per kostenplaats
CREATE TABLE nybu_imp_kpnprs (
   fac_import_key                   NUMBER,
   prs_perslid_nr                   VARCHAR2(16),
   prs_perslid_naamfull             VARCHAR2(256),
   prs_kostenplaats_nr              VARCHAR2(30),
   prs_project_nr                   VARCHAR2(30),
   prs_srtperslid_omschrijving      VARCHAR2(60),
   fte                              NUMBER(6,4),
   regel                            NUMBER(2)
);

INSERT INTO fac_import_app
   (fac_import_app_code,
    fac_import_app_prefix,
    fac_import_app_oms,
    fac_functie_key,
    fac_import_app_charset,
    fac_import_app_action)
 VALUES
   ('KPNPRS',
    'NYBU',
    'Import deeltijdpercentages',
    90,
    'utf-8',
    'ORACLE');


-- Per 5.4.4 kennen we ook een prs_kostenplaatsgrp_nr, ipv alleen een omschrijving. Gebruiken!
UPDATE prs_kostenplaatsgrp
   SET prs_kostenplaatsgrp_nr = TRIM(SUBSTR(prs_kostenplaatsgrp_oms, 1, INSTR(prs_kostenplaatsgrp_oms, ' - ') ) )
--      ,prs_kostenplaatsgrp_oms = SUBSTR(prs_kostenplaatsgrp_oms, INSTR(prs_kostenplaatsgrp_oms, ' - ') + 3)
 WHERE prs_kostenplaatsgrp_oms LIKE '% - %';

UPDATE prs_kostenplaatsgrp
   SET prs_kostenplaatsgrp_nr = TRIM(prs_kostenplaatsgrp_oms)
 WHERE prs_kostenplaatsgrp_nr IS NULL;


-- PRS-kenmerken voor deeltijdpercentages 'volgen' voortaan de geïmporteerde
-- waarde --> read-only maken.
UPDATE prs_kenmerk
   SET prs_kenmerk_toonbaar = 1
 WHERE prs_kenmerk_key IN (1061, 1062, 1063, 1064,
                           1065, 1066, 1067, 1068);

BEGIN adm.systrackscriptId('$Id$'); END;
/
COMMIT;

SPOOL OFF
@nybu.sql